import { useState, useEffect } from "react";
import { Canvas } from "@canvas-js/core";
export const useCanvas = (config) => {
    const [app, setApp] = useState();
    const [error, setError] = useState();
    // TODO: ensure effect hook re-runs on param changes
    useEffect(() => {
        Canvas.initialize(config)
            .then((app) => {
            setApp(app);
        })
            .catch((error) => {
            console.error(error);
            setError(error);
        });
    }, []);
    return { app, error };
};
